The resource used to view the list of consolidated assets.
get
/crmRestApi/resources/11.13.18.05/consolidatedAssets
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds a consolidated asset with the specified primary key.
Finder Variables- AssetGroupId; integer; AssetGroupId; integer; of the consolidated asset.
- PrimaryKey Finds a consolidated asset with the specified primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AccountAddress; string; Customer Account Site Address
- AccountId; integer; Customer account identifier from Installed Base assets or Subscription Management product source data.
- AccountName; string; Customer account name from Installed Base assets or Subscription Management product source data.
- AccountNumber; string; Bill-to customer account number from Installed Base assets or Subscription Management product source data.
- AssetCount; number; Number of active serialized asset rows represented by this asset group. Derived by counting nondeleted rows in CPQ_SERIALIZED_ASSETS.
- AssetEffectiveEndDate; string; Derived asset start date used by CPQ views for filtering and display.
- AssetEffectiveStartDate; string; Derived asset end date used by CPQ views for filtering and display.
- AssetGroupId; integer; Asset group identifier from the source sold asset group for this row.
- AssetGroupNumber; string; Asset group identifier from the source sold asset group for this row.
- AssetNumber; string; User-visible Installed Base asset number copied from the source asset.
- AssetProductType; string; Serialized asset bucket derived from the sales product type for routing and display.
- BOMItemType; number; Bill of material item type copied from Product Information Management.
- BOMItemTypeLabel; string; Display label derived from the bill of material item type value.
- BillToAccountId; integer; Bill-to customer account identifier from Installed Base assets for goods or Subscription Management product for subscriptions.
- BillToAccountName; string; Bill-to customer account name from Installed Base assets or Subscription Management product source data.
- BillToAccountNumber; string; Bill-to customer account number from Installed Base assets or Subscription Management product source data.
- BillToAccountSite; string; Bill-to party site address from Installed Base assets or derived from bill-to site use.
- BillToAccountSiteId; integer; Customer Account Site ID
- BillToContactId; integer; Bill-to contact number from Installed Base assets for goods or Subscription Management for subscriptions.
- BillToContactName; string; Bill-to contact name from Installed Base assets for goods or Subscription Management product for subscriptions.
- BillToContactNumber; string; Bill-to contact number from Installed Base assets for goods or Subscription Management for subscriptions.
- BillToPartyId; integer; Bill-to party identifier from Installed Base assets for goods or Subscription Management product for subscriptions.
- BillToPartyName; string; Bill-to party name from Installed Base assets for goods or Subscription Management product for subscriptions.
- BillToPartyNumber; string; Bill-to party number from Installed Base assets for goods or Subscription Management product for subscriptions.
- BillToPartySite; string; Bill-to party site address from Installed Base assets or derived from bill-to site use.
- BillToPartySiteId; integer; Bill-to party site identifier from Installed Base assets or derived from bill-to site use.
- BillToSiteUseId; integer; Bill-to customer site use identifier from Installed Base assets or Subscription Management product source data.
- ClosedDate; string; Closed date copied from the Subscription Management product for lifecycle handling.
- ConfigHeaderId; integer; Configuration header identifier preferred from the asset group or otherwise from the Installed Base asset.
- ConfigRevisionNumber; integer; Configuration revision number preferred from the asset group or otherwise from the Installed Base asset.
- ConfiguratorPath; string; Configurator path preferred from asset group and otherwise from Installed Base asset.
- CoveredItemAssetGroupId; integer; Asset group identifier for the item covered by the Subscription Management product.
- Currency; string; Currency code from the Installed Base asset for goods or Subscription Management product for subscriptions.
- CurrencyCode; string; Currency code from the Installed Base asset for goods or Subscription Management product for subscriptions.
- CurrentAddress; string; Current address of the asset.
- CurrentOvnMatchingFlag; boolean; Indicator specifying whether the Installed Base, Subscription Management, and Group Object Version Numbers match. Reads True if the Installed Base Subscription Management and Group Object Version Numbers are the same as in the CPQ read model tables.
- CustomerId; integer; Sold-to party identifier copied from the Installed Base customer party.
- CustomerName; string; Sold-to party name copied from the Installed Base customer party.
- CustomerNumber; string; Sold-to party number copied from the Installed Base customer party.
- FulfillLineId; integer; Fulfillment line identifier associated with the source asset group or asset.
- GroupEndDate; string; End date copied from the source sold asset group.
- GroupStartDate; string; Start date copied from the source sold asset group.
- HasAssetChildren; string; Indicates whether this asset has at least one active child asset relationship.
- HasAssociatedAssets; string; Indicates whether this subscription row has associated assets under the product.
- HasAssociations; string; Indicates whether this asset is associated with at least one subscription product.
- HasCoverages; string; Indicates whether this asset is covered by at least one subscription coverage product.
- HasCoveredLevels; string; Indicates whether this coverage row has covered levels under the subscription product.
- HasFutureState; string; Indicates whether this read-model row has a future-dated asset state from a renewal or amendment.
- IbEndDate; string; Customer asset end date copied from the Installed Base asset.
- IbStartDate; string; Customer asset start date copied from the Installed Base asset.
- IbStatus; string; Operational status code copied from the Installed Base asset.
- IbStatusCode; string; Operational status code copied from the Installed Base asset.
- InactiveFlag; boolean; Indicates whether the read-model row is inactive because it no longer qualifies.
- ItemDescription; string; Product item number copied from Product Information Management for display and search.
- ItemId; integer; Inventory item identifier copied from the Installed Base asset.
- ItemNumber; string; Product item number copied from Product Information Management for display and search.
- ItemOrganizationId; integer; Item organization identifier used with item ID for Product Master joins.
- ItemOrganizationName; string; Item organization identifier used with item ID for Product Master joins.
- ItemType; string; Product item type copied from Product Information Management.
- LastUpdateDate; string; Who column that indicates the date and time of the last update of the row.
- LegalEntityId; integer; Legal entity identifier copied from the Subscription Management header.
- LegalEntityName; string; Legal entity identifier copied from the Subscription Management header.
- ObjectVersionNumber; integer; Used to implement optimistic locking. This number is incremented every time that the row is updated. The number is compared at the start and end of a transaction to detect whether another session has updated the row since it was queried.
- OssEndDate; string; End date copied from the Subscription Management product for lineage and reconciliation.
- OssStartDate; string; Start date copied from the Subscription Management product for lineage and reconciliation.
- OssStatus; string; Lifecycle status copied from the Subscription Management product.
- OssStatusCode; string; Lifecycle status copied from the Subscription Management product.
- ParentAssetGroupId; integer; Parent asset group identifier derived from asset hierarchy and configuration context.
- ParentAssetId; integer; Immediate parent Installed Base asset derived from active asset relationships.
- Quantity; number; Product Instance Quantity copied from the Installed Base asset.
- RepresentativeAssetId; integer; Asset identifier selected as the representative serialized asset for the group. Used by the consolidated view to join back to CPQ_SERIALIZED_ASSETS for descriptive fields.
- RootAssetGroupId; integer; Root asset group identifier derived from hierarchy and configuration context.
- RootAssetId; integer; Root Installed Base asset derived from active asset relationships or set to self.
- SalesOrderId; integer; Sales order header identifier from Installed Base assets or Subscription Management product source data.
- SalesOrderLineId; integer; Sales order line identifier from Installed Base assets for goods or Subscription Management product for subscriptions.
- SalesOrderLineNumber; string; User-facing source sales order line number from Installed Base assets or Subscription Management product source data.
- SalesOrderNumber; string; User-facing source sales order number from Installed Base assets or Subscription Management product source data.
- SalesOrderSourceSystem; string; Source system code for the sales order captured on the Installed Base asset.
- SalesProductType; string; Product sales classification copied from Product Information Management.
- SalesProductTypeCode; string; Product sales classification copied from Product Information Management.
- SerialNumber; string; Serial number copied from the source Installed Base asset when available.
- ShipToPartyId; integer; Ship-to party identifier from Installed Base assets for goods or Subscription Management product for subscriptions.
- ShipToPartyName; string; Ship-to party name from Installed Base assets for goods or Subscription Management product for subscriptions.
- ShipToPartyNumber; string; Ship-to party number from Installed Base assets for goods or Subscription Management product for subscriptions.
- ShipToPartySite; string; Ship-to party site address from Installed Base assets for goods or Subscription Management product for subscriptions.
- ShipToPartySiteId; integer; Ship-to party site identifier from Installed Base assets or Subscription Management product source data.
- SoldByBusinessUnitId; integer; Business unit identifier that sold the asset or subscription.
- SoldByBusinessUnitName; string; Business unit identifier that sold the asset or subscription.
- SubscriptionId; integer; Subscription header identifier copied from the subscription header.
- SubscriptionNumber; string; Subscription number copied from the subscription header for subscription rows.
- SubscriptionProductId; integer; Subscription Management identifier used to join asset group rows to Subscription Management products.
- SubscriptionProductPuid; string; Public unique identifier copied from Subscription Management.
- SuspendedDate; string; Suspended date copied from Subscription Management for lifecycle handling.
- UOM; string; Unit of measure code copied from the Installed Base asset.
- UOMCode; string; Unit of measure code copied from the Installed Base asset.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : consolidatedAssets
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : consolidatedAssets-item-response
Type:
Show Source
object-
AccountAddress: string
Title:
Account AddressRead Only:trueMaximum Length:429Customer Account Site Address -
AccountId: integer
(int64)
Title:
Account IDRead Only:trueCustomer account identifier from Installed Base assets or Subscription Management product source data. -
AccountName: string
Title:
Account NameRead Only:trueMaximum Length:900Customer account name from Installed Base assets or Subscription Management product source data. -
AccountNumber: string
Title:
Account NumberRead Only:trueMaximum Length:30Bill-to customer account number from Installed Base assets or Subscription Management product source data. -
AssetCount: number
Title:
Asset CountRead Only:trueNumber of active serialized asset rows represented by this asset group. Derived by counting nondeleted rows in CPQ_SERIALIZED_ASSETS. -
AssetEffectiveEndDate: string
(date)
Title:
End DateRead Only:trueDerived asset start date used by CPQ views for filtering and display. -
AssetEffectiveStartDate: string
(date)
Title:
Start DateRead Only:trueDerived asset end date used by CPQ views for filtering and display. -
AssetGroupId: integer
Title:
Asset Group IDRead Only:trueAsset group identifier from the source sold asset group for this row. -
AssetGroupNumber: string
Title:
Asset Group NumberRead Only:trueMaximum Length:80Asset group identifier from the source sold asset group for this row. -
AssetNumber: string
Title:
Asset NumberRead Only:trueMaximum Length:80User-visible Installed Base asset number copied from the source asset. -
AssetProductType: string
Title:
Asset Product TypeRead Only:trueMaximum Length:30Serialized asset bucket derived from the sales product type for routing and display. -
BillToAccountId: integer
(int64)
Title:
Bill-to Account IDRead Only:trueBill-to customer account identifier from Installed Base assets for goods or Subscription Management product for subscriptions. -
BillToAccountName: string
Title:
Bill-to Account NameRead Only:trueMaximum Length:240Bill-to customer account name from Installed Base assets or Subscription Management product source data. -
BillToAccountNumber: string
Title:
Bill-to Account NumberRead Only:trueMaximum Length:30Bill-to customer account number from Installed Base assets or Subscription Management product source data. -
BillToAccountSite: string
Title:
Bill-to Account SiteRead Only:trueMaximum Length:429Bill-to party site address from Installed Base assets or derived from bill-to site use. -
BillToAccountSiteId: integer
(int64)
Title:
Bill-to Account Site IDRead Only:trueCustomer Account Site ID -
BillToContactId: integer
(int64)
Title:
Bill-to Contact IDRead Only:trueBill-to contact number from Installed Base assets for goods or Subscription Management for subscriptions. -
BillToContactName: string
Title:
Bill-to Contact NameRead Only:trueMaximum Length:900Bill-to contact name from Installed Base assets for goods or Subscription Management product for subscriptions. -
BillToContactNumber: string
Title:
Bill-to Contact NumberRead Only:trueMaximum Length:30Bill-to contact number from Installed Base assets for goods or Subscription Management for subscriptions. -
BillToPartyId: integer
(int64)
Title:
Bill-to Party IDRead Only:trueBill-to party identifier from Installed Base assets for goods or Subscription Management product for subscriptions. -
BillToPartyName: string
Title:
Bill-to Party NameRead Only:trueMaximum Length:900Bill-to party name from Installed Base assets for goods or Subscription Management product for subscriptions. -
BillToPartyNumber: string
Title:
Bill-to Party NumberRead Only:trueMaximum Length:30Bill-to party number from Installed Base assets for goods or Subscription Management product for subscriptions. -
BillToPartySite: string
Title:
Bill-to Party SiteRead Only:trueMaximum Length:429Bill-to party site address from Installed Base assets or derived from bill-to site use. -
BillToPartySiteId: integer
(int64)
Title:
Bill-to Party Site IDRead Only:trueBill-to party site identifier from Installed Base assets or derived from bill-to site use. -
BillToSiteUseId: integer
(int64)
Title:
Bill-to Site Use IDRead Only:trueBill-to customer site use identifier from Installed Base assets or Subscription Management product source data. -
BOMItemType: number
Title:
Structure Item TypeRead Only:trueBill of material item type copied from Product Information Management. -
BOMItemTypeLabel: string
Title:
Structure Item Type LabelRead Only:trueMaximum Length:30Display label derived from the bill of material item type value. -
ClosedDate: string
(date)
Title:
Closed DateRead Only:trueClosed date copied from the Subscription Management product for lifecycle handling. -
ConfigHeaderId: integer
(int64)
Title:
Configuration Header IDRead Only:trueConfiguration header identifier preferred from the asset group or otherwise from the Installed Base asset. -
ConfigRevisionNumber: integer
(int64)
Title:
Configuration Revision NumberRead Only:trueConfiguration revision number preferred from the asset group or otherwise from the Installed Base asset. -
ConfiguratorPath: string
Title:
Configurator PathRead Only:trueMaximum Length:2000Configurator path preferred from asset group and otherwise from Installed Base asset. -
CoveredItemAssetGroupId: integer
(int64)
Title:
Covered Item Asset Group IDRead Only:trueAsset group identifier for the item covered by the Subscription Management product. -
Currency: string
Title:
CurrencyRead Only:trueMaximum Length:80Currency code from the Installed Base asset for goods or Subscription Management product for subscriptions. -
CurrencyCode: string
Title:
Currency CodeRead Only:trueMaximum Length:15Currency code from the Installed Base asset for goods or Subscription Management product for subscriptions. -
CurrentAddress: string
Title:
Current AddressRead Only:trueMaximum Length:429Current address of the asset. -
CurrentOvnMatchingFlag: boolean
Title:
Current Object Version Number MatchingRead Only:trueMaximum Length:1Indicator specifying whether the Installed Base, Subscription Management, and Group Object Version Numbers match. Reads True if the Installed Base Subscription Management and Group Object Version Numbers are the same as in the CPQ read model tables. -
CustomerId: integer
(int64)
Title:
Customer IDRead Only:trueSold-to party identifier copied from the Installed Base customer party. -
CustomerName: string
Title:
Customer NameRead Only:trueMaximum Length:900Sold-to party name copied from the Installed Base customer party. -
CustomerNumber: string
Title:
Customer NumberRead Only:trueMaximum Length:30Sold-to party number copied from the Installed Base customer party. -
FulfillLineId: integer
(int64)
Title:
Fulfillment Line IDRead Only:trueFulfillment line identifier associated with the source asset group or asset. -
GroupEndDate: string
(date)
Title:
Asset Group End DateRead Only:trueEnd date copied from the source sold asset group. -
GroupStartDate: string
(date)
Title:
Asset Group Start DateRead Only:trueStart date copied from the source sold asset group. -
HasAssetChildren: string
Title:
Has Asset ChildrenRead Only:trueMaximum Length:1Indicates whether this asset has at least one active child asset relationship. -
HasAssociatedAssets: string
Title:
Has Associated AssetsRead Only:trueMaximum Length:1Indicates whether this subscription row has associated assets under the product. -
HasAssociations: string
Title:
Has AssociationsRead Only:trueMaximum Length:1Indicates whether this asset is associated with at least one subscription product. -
HasCoverages: string
Title:
Has CoveragesRead Only:trueMaximum Length:1Indicates whether this asset is covered by at least one subscription coverage product. -
HasCoveredLevels: string
Title:
Has Covered LevelsRead Only:trueMaximum Length:1Indicates whether this coverage row has covered levels under the subscription product. -
HasFutureState: string
Title:
Has Future AssetRead Only:trueMaximum Length:1Indicates whether this read-model row has a future-dated asset state from a renewal or amendment. -
IbEndDate: string
(date-time)
Title:
Installed Base End DateRead Only:trueCustomer asset end date copied from the Installed Base asset. -
IbStartDate: string
(date-time)
Title:
Installed Base Start DateRead Only:trueCustomer asset start date copied from the Installed Base asset. -
IbStatus: string
Title:
Asset StatusRead Only:trueMaximum Length:80Operational status code copied from the Installed Base asset. -
IbStatusCode: string
Title:
Asset Status CodeRead Only:trueMaximum Length:30Operational status code copied from the Installed Base asset. -
InactiveFlag: boolean
Title:
InactiveRead Only:trueMaximum Length:1Indicates whether the read-model row is inactive because it no longer qualifies. -
ItemDescription: string
Title:
Item DescriptionRead Only:trueMaximum Length:240Product item number copied from Product Information Management for display and search. -
ItemId: integer
(int64)
Title:
Item NumberRead Only:trueInventory item identifier copied from the Installed Base asset. -
ItemNumber: string
Title:
ItemRead Only:trueMaximum Length:300Product item number copied from Product Information Management for display and search. -
ItemOrganizationId: integer
(int64)
Title:
Organization IDRead Only:trueItem organization identifier used with item ID for Product Master joins. -
ItemOrganizationName: string
Title:
Item Organization NameRead Only:trueMaximum Length:240Item organization identifier used with item ID for Product Master joins. -
ItemType: string
Title:
Item TypeRead Only:trueMaximum Length:30Product item type copied from Product Information Management. -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:trueWho column that indicates the date and time of the last update of the row. -
LegalEntityId: integer
(int64)
Title:
Legal Entity IDRead Only:trueLegal entity identifier copied from the Subscription Management header. -
LegalEntityName: string
Title:
Legal Entity NameRead Only:trueMaximum Length:240Legal entity identifier copied from the Subscription Management header. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Title:
Object Version NumberRead Only:trueUsed to implement optimistic locking. This number is incremented every time that the row is updated. The number is compared at the start and end of a transaction to detect whether another session has updated the row since it was queried. -
OssEndDate: string
(date)
Title:
Subscription End DateRead Only:trueEnd date copied from the Subscription Management product for lineage and reconciliation. -
OssStartDate: string
(date)
Title:
Subscription Start DateRead Only:trueStart date copied from the Subscription Management product for lineage and reconciliation. -
OssStatus: string
Title:
Subscription StatusRead Only:trueMaximum Length:30Lifecycle status copied from the Subscription Management product. -
OssStatusCode: string
Title:
Subscription Status CodeRead Only:trueMaximum Length:30Lifecycle status copied from the Subscription Management product. -
ParentAssetGroupId: integer
(int64)
Title:
Parent Asset Group IDRead Only:trueParent asset group identifier derived from asset hierarchy and configuration context. -
ParentAssetId: integer
(int64)
Title:
Parent Asset IDRead Only:trueImmediate parent Installed Base asset derived from active asset relationships. -
Quantity: number
Title:
QuantityRead Only:trueProduct Instance Quantity copied from the Installed Base asset. -
RepresentativeAssetId: integer
(int64)
Title:
Representative Asset IDRead Only:trueAsset identifier selected as the representative serialized asset for the group. Used by the consolidated view to join back to CPQ_SERIALIZED_ASSETS for descriptive fields. -
RootAssetGroupId: integer
(int64)
Title:
Root Asset Group IDRead Only:trueRoot asset group identifier derived from hierarchy and configuration context. -
RootAssetId: integer
(int64)
Title:
Root Asset IDRead Only:trueRoot Installed Base asset derived from active asset relationships or set to self. -
SalesOrderId: integer
(int64)
Title:
Sales Order IDRead Only:trueSales order header identifier from Installed Base assets or Subscription Management product source data. -
SalesOrderLineId: integer
(int64)
Title:
Sales Order Line IDRead Only:trueSales order line identifier from Installed Base assets for goods or Subscription Management product for subscriptions. -
SalesOrderLineNumber: string
Title:
Sales Order Line NumberRead Only:trueMaximum Length:100User-facing source sales order line number from Installed Base assets or Subscription Management product source data. -
SalesOrderNumber: string
Title:
Sales Order NumberRead Only:trueMaximum Length:200User-facing source sales order number from Installed Base assets or Subscription Management product source data. -
SalesOrderSourceSystem: string
Title:
Sales Order Source SystemRead Only:trueMaximum Length:30Source system code for the sales order captured on the Installed Base asset. -
SalesProductType: string
Title:
Sales Product TypeRead Only:trueMaximum Length:30Product sales classification copied from Product Information Management. -
SalesProductTypeCode: string
Title:
Sales Product Type CodeRead Only:trueMaximum Length:30Product sales classification copied from Product Information Management. -
SerialNumber: string
Title:
Serial NumberRead Only:trueMaximum Length:80Serial number copied from the source Installed Base asset when available. -
ShipToPartyId: integer
(int64)
Title:
Ship-to Party IDRead Only:trueShip-to party identifier from Installed Base assets for goods or Subscription Management product for subscriptions. -
ShipToPartyName: string
Title:
Ship-to Party NameRead Only:trueMaximum Length:900Ship-to party name from Installed Base assets for goods or Subscription Management product for subscriptions. -
ShipToPartyNumber: string
Title:
Ship-to Party NumberRead Only:trueMaximum Length:30Ship-to party number from Installed Base assets for goods or Subscription Management product for subscriptions. -
ShipToPartySite: string
Title:
Ship-to Party SiteRead Only:trueMaximum Length:429Ship-to party site address from Installed Base assets for goods or Subscription Management product for subscriptions. -
ShipToPartySiteId: integer
(int64)
Title:
Ship-to Party Site IDRead Only:trueShip-to party site identifier from Installed Base assets or Subscription Management product source data. -
SoldByBusinessUnitId: integer
(int64)
Title:
Sold-by Business Unit IDRead Only:trueBusiness unit identifier that sold the asset or subscription. -
SoldByBusinessUnitName: string
Title:
Sold-by Business Unit NameRead Only:trueMaximum Length:240Business unit identifier that sold the asset or subscription. -
SubscriptionId: integer
(int64)
Title:
Subscription IDRead Only:trueSubscription header identifier copied from the subscription header. -
SubscriptionNumber: string
Title:
Subscription NumberRead Only:trueMaximum Length:120Subscription number copied from the subscription header for subscription rows. -
SubscriptionProductId: integer
(int64)
Title:
Subscription Product IDRead Only:trueSubscription Management identifier used to join asset group rows to Subscription Management products. -
SubscriptionProductPuid: string
Title:
Subscription Product PUIDRead Only:trueMaximum Length:120Public unique identifier copied from Subscription Management. -
SuspendedDate: string
(date)
Title:
Suspended DateRead Only:trueSuspended date copied from Subscription Management for lifecycle handling. -
UOM: string
Title:
UOMRead Only:trueMaximum Length:80Unit of measure code copied from the Installed Base asset. -
UOMCode: string
Title:
UOM CodeRead Only:trueMaximum Length:3Unit of measure code copied from the Installed Base asset.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.